%define upstream_name    Parse-PMFile
%define upstream_version 0.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses .pm file as PAUSE does
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dumpvalue)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.90.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(JSON::PP) >= 2.0.0
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(version) >= 0.830.0
BuildArch:  noarch

%description
The most of the code of this module is taken from the PAUSE code as of
April 2013 almost verbatim. Thus, the heart of this module should be quite
stable. However, I made it not to use pipe ("-|") as well as I stripped
database-related code. If you encounter any issue, that's most probably
because of my modification.

This module doesn't provide features to extract a distribution or parse
meta files intentionally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jan 25 2024 tv <tv> 0.450.0-1.mga10
+ Revision: 2034251
- update to 0.45

* Wed Aug 30 2023 tv <tv> 0.440.0-1.mga10
+ Revision: 1981924
- update to 0.44

* Mon Mar 21 2022 umeabot <umeabot> 0.430.0-2.mga9
+ Revision: 1813748
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1655783
- update to 0.43

* Tue Feb 18 2020 umeabot <umeabot> 0.420.0-2.mga8
+ Revision: 1537883
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 tv <tv> 0.420.0-1.mga8
+ Revision: 1459231
- update to 0.42

* Thu Sep 20 2018 umeabot <umeabot> 0.410.0-2.mga7
+ Revision: 1285539
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.410.0-1.mga7
+ Revision: 1128870
- update to 0.41

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-2.mga6
+ Revision: 1031741
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.400.0-1.mga6
+ Revision: 1007789
- Missing BR
- imported package perl-Parse-PMFile

